mr_bones_    14/07/04 06:51:01

  Modified:             tome-2.3.5.ebuild ChangeLog
  Log:
  fix underlinking (bug #516264); EAPI=5
  
  (Portage version: 2.2.8-r1/cvs/Linux x86_64, unsigned Manifest commit)

Revision  Changes    Path
1.8                  games-roguelike/tome/tome-2.3.5.ebuild

file : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/games-roguelike/tome/tome-2.3.5.ebuild?rev=1.8&view=markup
plain: 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/games-roguelike/tome/tome-2.3.5.ebuild?rev=1.8&content-type=text/plain
diff : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/games-roguelike/tome/tome-2.3.5.ebuild?r1=1.7&r2=1.8

Index: tome-2.3.5.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/games-roguelike/tome/tome-2.3.5.ebuild,v
retrieving revision 1.7
retrieving revision 1.8
diff -u -r1.7 -r1.8
--- tome-2.3.5.ebuild   28 May 2012 12:23:39 -0000      1.7
+++ tome-2.3.5.ebuild   4 Jul 2014 06:51:01 -0000       1.8
@@ -1,8 +1,8 @@
-# Copyright 1999-2012 Gentoo Foundation
+# Copyright 1999-2014 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/games-roguelike/tome/tome-2.3.5.ebuild,v 
1.7 2012/05/28 12:23:39 tupone Exp $
+# $Header: /var/cvsroot/gentoo-x86/games-roguelike/tome/tome-2.3.5.ebuild,v 
1.8 2014/07/04 06:51:01 mr_bones_ Exp $
 
-EAPI=2
+EAPI=5
 inherit eutils games
 
 MY_PV=${PV//./}
@@ -32,15 +32,12 @@
        mv makefile.std makefile
        epatch "${FILESDIR}/${PV}-gentoo-paths.patch" \
                "${FILESDIR}"/${P}-noX.patch
-       sed -i \
-               -e "s:xx:x:" \
-               ../lib/edit/p_info.txt
-       sed -i \
-               -e "s:GENTOO_DIR:${GAMES_STATEDIR}:" files.c init2.c \
-               || die "sed failed"
+       sed -i -e '/^CC =/d' makefile || die
+       sed -i -e "s:xx:x:" ../lib/edit/p_info.txt || die
+       sed -i -e "s:GENTOO_DIR:${GAMES_STATEDIR}:" files.c init2.c || die
 
-       find .. -name .cvsignore -exec rm -f \{\} \;
-       find ../lib/edit -type f -exec chmod a-x \{\} \;
+       find .. -name .cvsignore -exec rm -f \{\} +
+       find ../lib/edit -type f -exec chmod a-x \{\} +
 }
 
 src_compile() {
@@ -82,30 +79,28 @@
        fi
        GENTOO_INCLUDES="${GENTOO_INCLUDES} -Ilua -I."
        GENTOO_DEFINES="${GENTOO_DEFINES} -DUSE_LUA"
-       make \
+       emake -j1 \
                INCLUDES="${GENTOO_INCLUDES}" \
                DEFINES="${GENTOO_DEFINES}" \
-               depend || die "make depend failed"
-       emake ./tolua || die "emake ./tolua failed"
+               depend
+       emake ./tolua
        emake \
                COPTS="${CFLAGS}" \
                INCLUDES="${GENTOO_INCLUDES}" \
                DEFINES="${GENTOO_DEFINES}" \
-               LIBS="${GENTOO_LIBS}" \
+               LIBS="${GENTOO_LIBS} -lm" \
                BINDIR="${GAMES_BINDIR}" \
                LIBDIR="${GAMES_DATADIR}/${PN}" \
                GTK_SRC_FILE="${GTK_SRC_FILE}" \
-               GTK_OBJ_FILE="${GTK_OBJ_FILE}" \
-               || die "emake failed"
+               GTK_OBJ_FILE="${GTK_OBJ_FILE}"
 }
 
 src_install() {
-       make \
+       emake -j1 \
                DESTDIR="${D}" \
                OWNER="${GAMES_USER}" \
                BINDIR="${GAMES_BINDIR}" \
-               LIBDIR="${GAMES_DATADIR}/${PN}" install \
-               || die "make install failed"
+               LIBDIR="${GAMES_DATADIR}/${PN}" install
        cd ..
        dodoc *.txt
 



1.36                 games-roguelike/tome/ChangeLog

file : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/games-roguelike/tome/ChangeLog?rev=1.36&view=markup
plain: 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/games-roguelike/tome/ChangeLog?rev=1.36&content-type=text/plain
diff : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/games-roguelike/tome/ChangeLog?r1=1.35&r2=1.36

Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/games-roguelike/tome/ChangeLog,v
retrieving revision 1.35
retrieving revision 1.36
diff -u -r1.35 -r1.36
--- ChangeLog   28 May 2012 12:23:39 -0000      1.35
+++ ChangeLog   4 Jul 2014 06:51:01 -0000       1.36
@@ -1,6 +1,9 @@
 # ChangeLog for games-roguelike/tome
-# Copyright 1999-2012 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/games-roguelike/tome/ChangeLog,v 1.35 
2012/05/28 12:23:39 tupone Exp $
+# Copyright 1999-2014 Gentoo Foundation; Distributed under the GPL v2
+# $Header: /var/cvsroot/gentoo-x86/games-roguelike/tome/ChangeLog,v 1.36 
2014/07/04 06:51:01 mr_bones_ Exp $
+
+  04 Jul 2014; Michael Sterrett <[email protected]> tome-2.3.5.ebuild:
+  fix underlinking (bug #516264); EAPI=5
 
   28 May 2012; Tupone Alfredo <[email protected]> tome-2.3.5.ebuild,
   +files/tome-2.3.5-noX.patch, -files/tome-2.3.5-overflow.patch:




Reply via email to